There appear to be some instructions in this recent reddit discussion

In particular

go to the ~/StrifeClient/bin

start either strife or updater
I got such an error when I was trying to install 32-bit (unknowingly) Seamonkey on my 64-bit 13.10.

Thanks for the tips both of you. I am on vacation for a few days, so I will likely get to this next week.